Subject: [mpls] Comments on MPLS Architectural Principles and MPLS Global Labels

From: Lizhenbin <[email-masked]>
Date: Fri, 25 Jul 2014 05:09:50 +0000

Hi George,

Regarding the global label, I have different opinion from that proposed in the slide "MPLS Architectural

Principles".
1. According to the MPLS principle proposed in the page 2 and 3, I think global label comply with all the principles

described here.1) It is still 20 bits and can be in label stack. 2) It is application-spcific. Please refer to the draft

draft-li-mpls-global-label-usecases for the possible application scenarios. 3) It can be allocated by IP-based

control protocols.

2. I do not think the concept of global label is proposed over and over again. I began to participate the IETF meeting

in Stockholm in 2009. Only in that meeting, I saw the global label is proposed and critisized by Yakov. Later I

experienced almost all IETF meeting. The global label idea is not proposed until we propose the global label idea in

2014. According to the frequency (one idea every 5 years), I do not think the global label is proposed over and over

again. Maybe some people proposed the ideas many times in the 4 years to you. But it just confine to private talk.

As for me, according to the publised materias, it is not "over and over again".

3. Morevoer, after 4 year, the idea of global label is not the old one any more.
-- Firstly we should define what is global label. According to our definition proposed in draft-li-mpls-global-

label-framework, the MPLS global label means the label which meaning can be understood by all nodes or part of

nodes in the network. It is not mandorty that the global label must be understood by ALL nodes. In our opinion,

if one label's meaning can be understood by more than the two local neighboring nodes, it can be defined as the

global label.
-- Secondly, in the past 4-5 years, many new things have been proposed and accepted in the MPLS world. They

includes upstream allocation defined in RFC5331, entropy label defined in RFC 6790, flow label defined in RFC

6391, special-purpose label defined in RFC 7274, etc. According to our definition on global label, all of them can

be seen as some types of global label because these labels can be consistently processed or understood by multiple

nodes in one network instead of the local upstream node and the downstream node.
I wonder what is the global label's definition in the slides "MPLS Architectural Principles". Do you means that

label  allocated by part of nodes in the network can not be called as global label? Or do you means the label which

is unerstood by multiple nodes but allocated from context-specific label space can not be called as the global

label?
In my own opinion, we cannot ignore the fact that the label has already multiple usage beyond the original meaning

which is only understood by the local upstream node and downstream node. It is make no sense to argue that these

label concept are different from that of global label. In my opinion, if the concept of global label is hated, in

the future, I am sure we will not miss some label concepts which just change the name of global label.

Regards,

Robin